> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/mutations/food-log/users-foods-and-recipes/delete-a-user-recipe.md).

# Delete a User Recipe

Use the `deleteUserRecipe` mutation to delete a specific recipe [created by a user.](#required-argument) Use a b64 id to delete the recipe. Note that only the owner of the recipe can delete it.

## Required Argument

<table data-header-hidden><thead><tr><th width="150">Argument</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>Argument</td><td>Type</td><td>Description</td></tr><tr><td><code>Id</code></td><td>String</td><td>Unique Id of the user's recipe.  Get the information of all your recipes by executing the <a href="https://docs.suggestic.com/graphql/query/queries/recipes/users-recipes"><code>myRecipes</code></a> query. </td></tr></tbody></table>

## Available Fields

The following field will be part of the response.

| Field name | Type    | Description                                                                      |
| ---------- | ------- | -------------------------------------------------------------------------------- |
| `success`  | Boolean | **True** if the user's recipe has been deleted. Otherwise, it displays **False** |
| `message`  | String  | Description of the result                                                        |

## Example

### GraphQL Example

{% tabs %}
{% tab title="Mutation" %}

```graphql
mutation deleteMyRecipe {
  deleteMyRecipe(id: "VXNlclJlY2lwZTphNXNKWVh3QlY0Q1V6aWdSNkhaeg==") {
    success
    message
  }
}

```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "deleteMyRecipe": {
      "success": true,
      "message": "User Recipe deleted"
    }
  }
}
```

{% endtab %}
{% endtabs %}

### curl Example

{% tabs %}
{% tab title="Request" %}

```java
curl -XPOST 'https://production.suggestic.com/graphql' \
  -H 'Authorization: Bearer <User-JWT>' \
  -H 'Content-Type: application/json' \
--data-raw '{"query":"mutation { deleteMyRecipe (id:\"VXNlclJlY2lwZTpCbFVKWVh3QkZ4bmZEbThWempFVA==\") { success message } }"}'
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "deleteMyRecipe": {
      "success": true,
      "message": "User Recipe deleted"
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/food-log/users-foods-and-recipes/delete-a-user-recipe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
